package m05bPolizaEJB;


public class m05PolizaPK implements java.io.Serializable{

        /**
   * This is the primary key.
   * It is the Poliza codigo, which is the primary key
   * in table <tt>M0513t00</tt>.
   */
    public String pol_codigo;

      /**
       * This is the equals method.
       * @param obj java.lang.Object
       * @return boolean
       */
      public boolean equals(Object obj) {
        if (obj instanceof m05PolizaPK) {
          m05PolizaPK otherKey = (m05PolizaPK) obj;
          return ((this.pol_codigo == otherKey.pol_codigo));
        }
        else
          return false;
      }

      /**
       * This is the hashCode method.
       * @return int
       */
      public int hashCode() {
        return Integer.parseInt(this.pol_codigo);
      }
}
